/*
 * pru_setup.h
 *
 *  Created on: Dec 20, 2013
 *      Author: djg
 */

#ifndef PRU_SETUP_H_
#define PRU_SETUP_H_

int  pru_setup();
void pru_shutdown();
uint32_t pru_get_drive_status();
void pru_print_drive_status(int level, uint32_t status);
uint32_t pru_get_cmd_data();
uint32_t pru_get_deltas_write_ptr();
int pru_exec_cmd(uint32_t cmd, uint32_t data);
void pru_restart(int pru_num);
uint32_t pru_get_cmd_status();
int pru_copy_deltas(uint16_t deltas[],int last_index);
#endif /* PRU_SETUP_H_ */
